# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXReadyToRun

Function

Allows an asynchronous module to signal if it is ready to execute again.

Syntax
`
#include <dx/dx.h>
`

Error DXReadyToRun(Pointer id)

Functional Details

Allows an asynchronous module to signal if it is ready to execute again. `id` is the module identifier returned by `DXGetModuleId`.

A module normally does not reexecute unless one of its inputs has changed.

`DXReadyToRun` is normally called from the input handler routine set up with `DXRegisterInputHandler` or from a signal handler set up with the `signal`() system call.

If Data Explorer's `Execute on Change` option is active, this call will cause the network to reexcute immediately. Otherwise, the next time the user executes the network, this module will then be executed.

It is the module writer's responsibility to determine if the network was reexecuted if one of its inputs has changed because its cached output was reclaimed and needs to be regenerated or because `DXReadyToRun` was called.

Return Value

Returns `OK`, or returns `ERROR` and sets the error code to indicate an error.

See Also

`DXCheckRIH, DXCompareModuleId, DXCopyModuleId, DXGetModuleId, DXRegisterInputHandler, DXSetCacheEntry, DXSetCacheEntryV`

13.11 , "Asynchronous Services".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page | Contact Data Explorer | Same document on Data Explorer Home Page ]

[IBM Home Page | Order | Search | Contact IBM | Legal ]